org.eclipse.viatra.query.patternlanguage.emf.scoping

## Class EMFPatternLanguageDeclarativeScopeProvider

- java.lang.Object
- - org.eclipse.xtext.scoping.impl.AbstractScopeProvider
  - - org.eclipse.viatra.query.patternlanguage.scoping.MyAbstractDeclarativeScopeProvider
    - - org.eclipse.viatra.query.patternlanguage.emf.scoping.EMFPatternLanguageDeclarativeScopeProvider

- All Implemented Interfaces:
    org.eclipse.xtext.scoping.impl.IDelegatingScopeProvider, org.eclipse.xtext.scoping.IScopeProvider

      public class EMFPatternLanguageDeclarativeScopeProvider
      extends MyAbstractDeclarativeScopeProvider

  An extended abstract declarative scope provider to facilitate the reusing of abstract declarative scope providers together with XBase scope provider.

  See http://www.eclipse.org/forums/index .php/mv/msg/219841/699521/#msg_699521 for details.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.patternlanguage.scoping.MyAbstractDeclarativeScopeProvider

      `logger, NAMED_DELEGATE, NAMED_ERROR_HANDLER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageDeclarativeScopeProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.xtext.scoping.IScope` | `createClassifierScope(org.eclipse.emf.ecore.EPackage ePackage, org.eclipse.xtext.scoping.IScope outer)`
    `protected org.eclipse.xtext.scoping.IScope` | `createReferencedPackagesScope(PatternModel model)`
    `protected org.eclipse.xtext.scoping.IScope` | `createUnqualifiedClassifierScope(org.eclipse.emf.ecore.EObject ctx)`
    `org.eclipse.xtext.scoping.IScope` | `scope_EClassifier(ClassType ctx, org.eclipse.emf.ecore.EReference ref)`
    `org.eclipse.xtext.scoping.IScope` | `scope_EClassifier(org.eclipse.emf.ecore.EObject ctx, org.eclipse.emf.ecore.EReference ref)`
    `org.eclipse.xtext.scoping.IScope` | `scope_EEnum(EnumValue ctx, org.eclipse.emf.ecore.EReference ref)`
    `org.eclipse.xtext.scoping.IScope` | `scope_EEnumLiteral(EnumValue ctx, org.eclipse.emf.ecore.EReference ref)`
    `org.eclipse.xtext.scoping.IScope` | `scope_EPackage(PackageImport ctx, org.eclipse.emf.ecore.EReference ref)`
    `org.eclipse.xtext.scoping.IScope` | `scope_EStructuralFeature(PathExpressionHead ctx, org.eclipse.emf.ecore.EReference ref)`
    `org.eclipse.xtext.scoping.IScope` | `scope_EStructuralFeature(PathExpressionTail ctx, org.eclipse.emf.ecore.EReference ref)`
    `org.eclipse.xtext.scoping.IScope` | `scope_PackageImport(org.eclipse.emf.ecore.EObject ctx, org.eclipse.emf.ecore.EReference ref)`
    `org.eclipse.xtext.scoping.IScope` | `scope_Variable(AnnotationParameter ctx, org.eclipse.emf.ecore.EReference ref)`
    `org.eclipse.xtext.scoping.IScope` | `scope_Variable(PatternBody ctx, org.eclipse.emf.ecore.EReference ref)`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.scoping.MyAbstractDeclarativeScopeProvider

      `delegateGetScope, getDelegate, getErrorHandler, getPredicate, getPredicate, getScope, polymorphicFindScopeForClassName, polymorphicFindScopeForReferenceName, setDelegate, setErrorHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageDeclarativeScopeProvider

          public EMFPatternLanguageDeclarativeScopeProvider()

  - ### Method Detail

    - #### scope_EPackage

          public org.eclipse.xtext.scoping.IScope scope_EPackage(PackageImport ctx,
                                                                 org.eclipse.emf.ecore.EReference ref)

    - #### scope_PackageImport

          public org.eclipse.xtext.scoping.IScope scope_PackageImport(org.eclipse.emf.ecore.EObject ctx,
                                                                      org.eclipse.emf.ecore.EReference ref)

    - #### scope_EClassifier

          public org.eclipse.xtext.scoping.IScope scope_EClassifier(org.eclipse.emf.ecore.EObject ctx,
                                                                    org.eclipse.emf.ecore.EReference ref)

    - #### scope_EClassifier

          public org.eclipse.xtext.scoping.IScope scope_EClassifier(ClassType ctx,
                                                                    org.eclipse.emf.ecore.EReference ref)

    - #### scope_Variable

          public org.eclipse.xtext.scoping.IScope scope_Variable(AnnotationParameter ctx,
                                                                 org.eclipse.emf.ecore.EReference ref)

      Since:
        1.6

    - #### scope_Variable

          public org.eclipse.xtext.scoping.IScope scope_Variable(PatternBody ctx,
                                                                 org.eclipse.emf.ecore.EReference ref)

    - #### createUnqualifiedClassifierScope

          protected org.eclipse.xtext.scoping.IScope createUnqualifiedClassifierScope(org.eclipse.emf.ecore.EObject ctx)

    - #### createReferencedPackagesScope

          protected org.eclipse.xtext.scoping.IScope createReferencedPackagesScope(PatternModel model)

    - #### createClassifierScope

          protected org.eclipse.xtext.scoping.IScope createClassifierScope(org.eclipse.emf.ecore.EPackage ePackage,
                                                                           org.eclipse.xtext.scoping.IScope outer)

    - #### scope_EStructuralFeature

          public org.eclipse.xtext.scoping.IScope scope_EStructuralFeature(PathExpressionHead ctx,
                                                                           org.eclipse.emf.ecore.EReference ref)

    - #### scope_EStructuralFeature

          public org.eclipse.xtext.scoping.IScope scope_EStructuralFeature(PathExpressionTail ctx,
                                                                           org.eclipse.emf.ecore.EReference ref)

    - #### scope_EEnum

          public org.eclipse.xtext.scoping.IScope scope_EEnum(EnumValue ctx,
                                                              org.eclipse.emf.ecore.EReference ref)

    - #### scope_EEnumLiteral

          public org.eclipse.xtext.scoping.IScope scope_EEnumLiteral(EnumValue ctx,
                                                                     org.eclipse.emf.ecore.EReference ref)